curl --request POST \
--url https://api.attio.com/v2/lists/{list}/entries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"parent_record_id": "891dcbfc-9141-415d-9b2a-2238a6cc012d",
"parent_object": "people",
"entry_values": {
"41252299-f8c7-4b5e-99c9-4ff8321d2f96": "Text value",
"multiselect_attribute": [
"Select option 1",
"Select option 2"
]
}
}
}
'{
"data": {
"id": {
"workspace_id": "14beef7a-99f7-4534-a87e-70b564330a4c",
"list_id": "33ebdbe9-e529-47c9-b894-0ba25e9c15c0",
"entry_id": "2e6e29ea-c4e0-4f44-842d-78a891f8c156"
},
"parent_record_id": "891dcbfc-9141-415d-9b2a-2238a6cc012d",
"parent_object": "people",
"created_at": "2022-11-21T13:22:49.061281000Z",
"entry_values": {
"status": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "workspace-member",
"id": "50cf242c-7fa3-4cad-87d0-75b1af71c57b"
},
"status": {
"id": {
"workspace_id": "14beef7a-99f7-4534-a87e-70b564330a4c",
"object_id": "33ebdbe9-e529-47c9-b894-0ba25e9c15c0",
"attribute_id": "e350362f-4b55-4c0f-93f4-379ae8ff2e5b",
"status_id": "527def35-7994-4ef7-9584-80ef8de352a8"
},
"title": "In Progress",
"is_archived": false,
"target_time_in_status": null,
"celebration_enabled": false
},
"attribute_type": "status"
}
],
"created_at": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "workspace-member",
"id": "50cf242c-7fa3-4cad-87d0-75b1af71c57b"
},
"value": "2023-01-01T15:00:00.000000000Z",
"attribute_type": "timestamp"
}
],
"created_by": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "workspace-member",
"id": "50cf242c-7fa3-4cad-87d0-75b1af71c57b"
},
"referenced_actor_id": "50cf242c-7fa3-4cad-87d0-75b1af71c57b",
"referenced_actor_type": "workspace-member",
"attribute_type": "actor-reference"
}
]
}
}
}Adds a record to a list as a new list entry. This endpoint will throw on conflicts of unique attributes. Multiple list entries are allowed for the same parent record
Required scopes: list_entry:read-write, list_configuration:read.
curl --request POST \
--url https://api.attio.com/v2/lists/{list}/entries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"parent_record_id": "891dcbfc-9141-415d-9b2a-2238a6cc012d",
"parent_object": "people",
"entry_values": {
"41252299-f8c7-4b5e-99c9-4ff8321d2f96": "Text value",
"multiselect_attribute": [
"Select option 1",
"Select option 2"
]
}
}
}
'{
"data": {
"id": {
"workspace_id": "14beef7a-99f7-4534-a87e-70b564330a4c",
"list_id": "33ebdbe9-e529-47c9-b894-0ba25e9c15c0",
"entry_id": "2e6e29ea-c4e0-4f44-842d-78a891f8c156"
},
"parent_record_id": "891dcbfc-9141-415d-9b2a-2238a6cc012d",
"parent_object": "people",
"created_at": "2022-11-21T13:22:49.061281000Z",
"entry_values": {
"status": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "workspace-member",
"id": "50cf242c-7fa3-4cad-87d0-75b1af71c57b"
},
"status": {
"id": {
"workspace_id": "14beef7a-99f7-4534-a87e-70b564330a4c",
"object_id": "33ebdbe9-e529-47c9-b894-0ba25e9c15c0",
"attribute_id": "e350362f-4b55-4c0f-93f4-379ae8ff2e5b",
"status_id": "527def35-7994-4ef7-9584-80ef8de352a8"
},
"title": "In Progress",
"is_archived": false,
"target_time_in_status": null,
"celebration_enabled": false
},
"attribute_type": "status"
}
],
"created_at": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "workspace-member",
"id": "50cf242c-7fa3-4cad-87d0-75b1af71c57b"
},
"value": "2023-01-01T15:00:00.000000000Z",
"attribute_type": "timestamp"
}
],
"created_by": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "workspace-member",
"id": "50cf242c-7fa3-4cad-87d0-75b1af71c57b"
},
"referenced_actor_id": "50cf242c-7fa3-4cad-87d0-75b1af71c57b",
"referenced_actor_type": "workspace-member",
"attribute_type": "actor-reference"
}
]
}
}
}Documentation Index
Fetch the complete documentation index at: https://docs.attio.com/llms.txt
Use this file to discover all available pages before exploring further.
This API uses OAuth 2.0 with the authorization code grant flow.
The UUID or slug identifying the list that the created list entry should belong to.
"33ebdbe9-e529-47c9-b894-0ba25e9c15c0"
Show child attributes
Success
Success
Show child attributes
Was this page helpful?